List blocks

List all blocks account-wide or attached to a specific resource type.

Blocks are sorted by date in ascending order (oldest first).

GET
/v1/blocks

Authorization

authorization
AuthorizationBearer <token>

In: header

Query Parameters

page?integer

Page number

Range1 <= value
page_size?integer

Number of items per page

Range1 <= value
attachment_type?string

Only return blocks with the specified attachment type.

Value in

  • "provider"
  • "service"
  • "location"
  • "service_provider"
provider_ids?string

Filter by provider ID(s). Accepts a single ID or comma-delimited list of IDs.

service_ids?string

Filter by service ID(s). Accepts a single ID or comma-delimited list of IDs.

service_provider_ids?string

Filter by service provider ID(s). Accepts a single ID or comma-delimited list of IDs.

location_ids?string

Filter by location ID(s). Accepts a single ID or comma-delimited list of IDs.

date?string

Only return blocks on the specified date.

Formatdate
date_min?string

Only return blocks on or after the specified date.

Formatdate
date_max?string

Only return blocks on or before the specified date.

Formatdate
recurring?boolean

If true, only return blocks that are recurring.

all_day?boolean

If true, only return blocks that are all day.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/blocks"
{  "data": [    {      "all_day": false,      "attachment_type": "provider",      "attachments": [        "prov_d025a96ac0c6"      ],      "created_at": "2017-09-12T12:34:55Z",      "date": "2025-10-27",      "end_time": "17:00",      "exception_dates": [        "2025-10-27T09:00:00"      ],      "id": "blk_d025a96ac0c6",      "object": "block",      "recurrence_rule": {        "byday": [          "mo",          "we",          "fr"        ],        "freq": "weekly"      },      "service_id": null,      "start_time": "09:00",      "time_zone": "America/New_York",      "title": "Team Meeting",      "updated_at": "2017-09-13T10:11:12Z"    }  ],  "meta": {    "current_page": 1,    "page_size": 10,    "total_count": 50,    "total_pages": 5  }}